This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 207607 - Review Request: telepathy-butterfly - MSN connection manager for Telepathy
Review Request: telepathy-butterfly - MSN connection manager for Telepathy
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sander Hoentjen
Fedora Package Reviews List
:
Depends On: 207173
Blocks: FE-ACCEPT 205343
  Show dependency treegraph
 
Reported: 2006-09-21 16:26 EDT by Brian Pepple
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-10-02 12:09:14 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Brian Pepple 2006-09-21 16:26:43 EDT
Spec URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-butterfly.spec
SRPM URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-butterfly-0.1.0-1.src.rpm
Description: An MSN connection manager for Telepathy that handles presence, personal messages, and conversations

Notes:

1. This package needs a filesystem package for telepathy to handle ownership of the connection managers directory, since there will be many connection managers in the future.  See below for the spec file for this package.
2. Targetted for FC6.  To build on FC5 it will need to be patched to find the correct directory for the dbus service file.

Spec URL: http://piedmont.homelinux.org/fedora/telepathy/telepathy-filesystem.spec
SRPM: http://piedmont.homelinux.org/fedora/telepathy/telepathy-filesystem-0.0.1-1.src.rpm
Comment 1 Sander Hoentjen 2006-09-29 04:51:13 EDT
can you switch telepathy-filesystem to noarch?
Comment 2 Brian Pepple 2006-09-29 08:34:49 EDT
Yeah, I can make the filesystem a noarch package.
Comment 3 Sander Hoentjen 2006-09-29 10:05:56 EDT
ok, once you do that the filesystem package is APPROVED
I will give a review on butterfly soon
Comment 4 Sander Hoentjen 2006-10-01 05:33:47 EDT
telepathy-butterfly:

Good:

- rpmlint checks return with no output
- package meets naming guidelines
- package meets packaging guidelines
- license (GPL) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
- package compiles on mock devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file

APPROVED

Comment 5 Brian Pepple 2006-10-02 12:09:14 EDT
Thanks for the review.

Note You need to log in before you can comment on or make changes to this bug.